% I = rombergtab(f,x,n)
% Izracun tabele vrednosti integrala z Rombergovo metodo.
% Vhod:
% f : analiticno podana funkcija
% x : integracijski interval [a,b]
% n : dimenzija tabele vrednosti
% Izhod:
% I : tabela pribliznih vrednosti integrala
function I = rombergtab(f,x,n)
  I = zeros(n);
  h = diff(x);
  a = x;
  y = f(x);
  I(1,1) = h*mean(y);
  for i = 2:n
    h = h/2;
    x = a(1)+h:2*h:a(2);
    s = sum(f(x));
    I(i,1) = I(i-1,1)/2+h*s;
    q = 1;
    for j = 2:i
      q = q/4;
      I(i,j) = (I(i,j-1)-q*I(i-1,j-1))/(1-q);
    end;
  end;