% x = trisys(u,d,l,b)
% Resujemo tridiagonalni sistem A x = b z Gaussovo eliminacijo.
% Vhod:
% u : vektor elementov na vzporednici nad glavno diagonalo, dolzina je n-1
% l : vektor elementov na vzporednici pod glavno diagonalo, dolzina je n-1
% d : glavna diagonala, dolzina je n
% b : stolpec svobodnih clenov, dolzina je n
% Izhod:
% x : resitev sistema, dolzina je n
function x = trisys(u,d,l,b)
  n = length(b);
  % Gaussova eliminacija
  for k = 2:n
    mult = l(k-1)/d(k-1);
    d(k) = d(k) - mult*u(k-1);
    b(k) = b(k) - mult*b(k-1);
  end;
  % vzvratno vstavljanje
  x(n) = b(n)/d(n);
  for k = (n-1):-1:1
    x(k) = (b(k) - u(k)*x(k+1))/d(k);
  end;

